## okteta 4.11.5

=== debian/changelog ===
okteta (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:52:31 +0100

okteta (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 16:10:46 +0000

=== debian/control ===
Source: okteta
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.5),
 libqca2-dev,
 shared-mime-info,
 pkg-config 
Standards-Version: 3.9.4
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okteta-13.10
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okteta-13.10

Package: okteta
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: hexadecimal editor for binary files
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 The data is displayed in the traditional view with two columns: one with the
 numeric values and one with the assigned characters. Editing can be done both
 in the value column and the character column. Besides the usual editing
 capabilities Okteta also brings a small set of tools, like a table listing
 decodings into common simple data types, a table listing all possible bytes
 with its character and value equivalents, a info view with a statistic and a
 filter tool. All modifications to the data loaded can be endlessly undone or
 redone.
 .
 This package is part of the KDE Software Development Kit module.

Package: okteta-dev
Architecture: any
Section: devel
Depends: okteta (= ${binary:Version}), ${misc:Depends},
 libkasten2controllers2abi1 (= ${binary:Version}), libkasten2core2 (= ${binary:Version}),
 libkasten2gui2 (= ${binary:Version}), libokteta1core1 (= ${binary:Version}),
 libokteta1gui1 (= ${binary:Version}), libkasten2okteta1controllers1abi1 (= ${binary:Version}),
 libkasten2okteta1core1 (= ${binary:Version}), libkasten2okteta1gui1 (= ${binary:Version})
Description: Development files for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package contains the development files for Okteta.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten2controllers2abi1
Architecture: any
X-CMake-Target: kastencontrollers
Section: libs
X-Debian-ABI: 1
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: okteta (<< 4:4.6)
Breaks: okteta (<< 4:4.6)
Description: controllers Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten2core2
Architecture: any
X-CMake-Target: kastencore
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: okteta (<< 4:4.6)
Breaks: okteta (<< 4:4.6)
Description: core Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten2gui2
Architecture: any
X-CMake-Target: kastengui
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: okteta (<< 4:4.6)
Breaks: okteta (<< 4:4.6)
Description: gui Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package is part of the KDE Software Development Kit module.

Package: libokteta1core1
Architecture: any
X-CMake-Target: oktetacore
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: okteta (<< 4:4.6)
Breaks: okteta (<< 4:4.6)
Description: core Okteta library
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package is part of the KDE Software Development Kit module.

Package: libokteta1gui1
Architecture: any
X-CMake-Target: oktetagui
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: okteta (<< 4:4.6)
Breaks: okteta (<< 4:4.6)
Description: gui Okteta library
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten2okteta1controllers1abi1
Architecture: any
X-CMake-Target: oktetakastencontrollers
X-Debian-ABI: 1
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: okteta (<< 4:4.6)
Breaks: okteta (<< 4:4.6)
Description: kastencontrollers library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten2okteta1core1
Architecture: any
X-CMake-Target: oktetakastencore
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: okteta (<< 4:4.6)
Breaks: okteta (<< 4:4.6)
Description: kastencore library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten2okteta1gui1
Architecture: any
X-CMake-Target: oktetakastengui
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: okteta (<< 4:4.6)
Breaks: okteta (<< 4:4.6)
Description: kastengui library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package is part of the KDE Software Development Kit module.

Package: okteta-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, kate-dbg
Replaces: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Breaks: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Suggests: okteta (= ${source:Version})
Description: debugging symbols for okteta
 This package contains debugging files used to investigate problems with
 binaries included in okteta.

## okteta 4.13.0

=== designer/CMakeLists.txt ===
project( oktetadesignerplugin )

set( OKTETA_REL_DIR .. )

include_directories(
  ${OKTETA_REL_DIR}/core
  ${OKTETA_REL_DIR}/gui/libcolumnsview
  ${OKTETA_REL_DIR}/gui
)

set( oktetadesignerplugin_SRCS
  bytearraycolumnviewdesignerfactory.cpp
  bytearrayrowviewdesignerfactory.cpp
  oktetawidgetdesignerfactorycollection.cpp
  fillerbytearraymodel.cpp
  main.cpp
)


kde4_add_plugin( oktetadesignerplugin  ${oktetadesignerplugin_SRCS} )

target_link_libraries( oktetadesignerplugin
  ${oktetagui_LIB}
  ${oktetacore_LIB}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTCORE_LIBRARY}
)

install( TARGETS oktetadesignerplugin  DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )


if( OKTETA_BUILD_EXAMPLES )
add_subdirectory( examples )
endif( OKTETA_BUILD_EXAMPLES )

=== kasten/gui/CMakeLists.txt ===
set( KASTEN_REL_DIR ../../libs/kasten )
set( OKTETA_REL_DIR ../.. )

include_directories(
  system
  io
  view
  io/streamencoder
  liboktetawidgets
  ../core
  ../core/document
  ${KASTEN_REL_DIR}/gui
  ${KASTEN_REL_DIR}/gui/view
  ${KASTEN_REL_DIR}/gui/io
  ${KASTEN_REL_DIR}/core
  ${KASTEN_REL_DIR}/core/document
  ${KASTEN_REL_DIR}/core/entity
  ${KASTEN_REL_DIR}/core/io
  ${OKTETA_REL_DIR}/gui
  ${OKTETA_REL_DIR}/gui/libcolumnsview
  ${OKTETA_REL_DIR}/core
)

# if(KDE4_BUILD_TESTS)
#   add_subdirectory(tests)
# endif(KDE4_BUILD_TESTS)

set( oktetawidgets_LIB_SRCS
  liboktetawidgets/bytearrayvalidator.cpp
  liboktetawidgets/bytearraycombobox_p.cpp
  liboktetawidgets/bytearraycombobox.cpp
  liboktetawidgets/addressvalidator.cpp
  liboktetawidgets/addresscombobox_p.cpp
  liboktetawidgets/addresscombobox.cpp
)

set( okteta_values_streamencoder_SRCS
  io/streamencoder/values/bytearrayvaluesstreamencoderconfigeditor.cpp
  io/streamencoder/values/bytearrayvaluesstreamencoderconfigeditorfactory.cpp
  io/streamencoder/values/bytearrayvaluesstreamencoder.cpp
)

set( okteta_base32_streamencoder_SRCS
  io/streamencoder/base32/bytearraybase32streamencoderconfigeditor.cpp
  io/streamencoder/base32/bytearraybase32streamencoderconfigeditorfactory.cpp
  io/streamencoder/base32/bytearraybase32streamencoder.cpp
)

set( okteta_uuencoding_streamencoder_SRCS
  io/streamencoder/uuencoding/bytearrayuuencodingstreamencoderconfigeditor.cpp
  io/streamencoder/uuencoding/bytearrayuuencodingstreamencoderconfigeditorfactory.cpp
  io/streamencoder/uuencoding/bytearrayuuencodingstreamencoder.cpp
)

set( okteta_xxencoding_streamencoder_SRCS
  io/streamencoder/xxencoding/bytearrayxxencodingstreamencoderconfigeditor.cpp
  io/streamencoder/xxencoding/bytearrayxxencodingstreamencoderconfigeditorfactory.cpp
  io/streamencoder/xxencoding/bytearrayxxencodingstreamencoder.cpp
)

set( okteta_sourcecode_streamencoder_SRCS
  io/streamencoder/sourcecode/bytearraysourcecodestreamencoderconfigeditor.cpp
  io/streamencoder/sourcecode/bytearraysourcecodestreamencoderconfigeditorfactory.cpp
  io/streamencoder/sourcecode/bytearraysourcecodestreamencoder.cpp
)

set( okteta_srec_streamencoder_SRCS
  io/streamencoder/srec/bytearraysrecstreamencoderconfigeditor.cpp
  io/streamencoder/srec/bytearraysrecstreamencoderconfigeditorfactory.cpp
  io/streamencoder/srec/bytearraysrecstreamencoder.cpp
)

set( okteta_ihex_streamencoder_SRCS
  io/streamencoder/ihex/bytearrayihexstreamencoderconfigeditor.cpp
  io/streamencoder/ihex/bytearrayihexstreamencoderconfigeditorfactory.cpp
  io/streamencoder/ihex/bytearrayihexstreamencoder.cpp
)

set( okteta_viewtext_streamencoder_SRCS
  io/streamencoder/viewtext/abstractcolumntextrenderer.cpp
  io/streamencoder/viewtext/offsetcolumntextrenderer.cpp
  io/streamencoder/viewtext/bordercolumntextrenderer.cpp
  io/streamencoder/viewtext/abstractbytearraycolumntextrenderer.cpp
  io/streamencoder/viewtext/valuebytearraycolumntextrenderer.cpp
  io/streamencoder/viewtext/charbytearraycolumntextrenderer.cpp
  io/streamencoder/viewtext/bytearrayrowscolumntextrenderer.cpp
  io/streamencoder/viewtext/bytearrayviewtextstreamencoder.cpp
)

set( okteta_streamencoder_SRCS
  io/streamencoder/abstractbytearraystreamencoder.cpp
  io/streamencoder/bytearraytextstreamencoderpreview.cpp
  ${okteta_values_streamencoder_SRCS}
  io/streamencoder/chars/bytearraycharsstreamencoder.cpp
  io/streamencoder/base64/bytearraybase64streamencoder.cpp
  ${okteta_base32_streamencoder_SRCS}
  io/streamencoder/base85/bytearraybase85streamencoder.cpp
  ${okteta_uuencoding_streamencoder_SRCS}
  ${okteta_xxencoding_streamencoder_SRCS}
  ${okteta_srec_streamencoder_SRCS}
  ${okteta_ihex_streamencoder_SRCS}
  ${okteta_sourcecode_streamencoder_SRCS}
  ${okteta_viewtext_streamencoder_SRCS}
  io/bytearraystreamencoderfactory.cpp
  io/bytearraystreamencoderconfigeditorfactoryfactory.cpp
)

set( okteta_pattern_datagenerator_SRCS
  io/generator/pattern/bytearraypatterngeneratorconfigeditor.cpp
  io/generator/pattern/bytearraypatterngeneratorconfigeditorfactory.cpp
  io/generator/pattern/bytearraypatterngenerator.cpp
)

set( okteta_randomdata_datagenerator_SRCS
  io/generator/randomdata/bytearrayrandomdatageneratorconfigeditor.cpp
  io/generator/randomdata/bytearrayrandomdatageneratorconfigeditorfactory.cpp
  io/generator/randomdata/bytearrayrandomdatagenerator.cpp
)

set( okteta_sequence_datagenerator_SRCS
  io/generator/sequence/bytearraysequencegenerator.cpp
)

set( okteta_datagenerator_SRCS
  ${okteta_randomdata_datagenerator_SRCS}
  ${okteta_pattern_datagenerator_SRCS}
  ${okteta_sequence_datagenerator_SRCS}
  io/bytearraydatageneratorfactory.cpp
  io/bytearraydatageneratorconfigeditorfactoryfactory.cpp
)

set( okteta_viewprofile_io_SRCS
  io/bytearrayviewprofilesynchronizer.cpp
)

set( okteta_kastengui_io_SRCS
  ${okteta_streamencoder_SRCS}
  ${okteta_datagenerator_SRCS}
  ${okteta_viewprofile_io_SRCS}
)

set( okteta_kastengui_view_SRCS
  view/bytearrayjanusview.cpp
  view/bytearrayviewfactory.cpp
  view/bytearrayview.cpp
  view/bytearrayviewprofile.cpp
)

set( okteta_kastengui_system_SRCS
  system/bytearrayviewprofilelock.cpp
  system/bytearrayviewprofilemanager.cpp
)

set( okteta_kastengui_LIB_SRCS
  ${oktetawidgets_LIB_SRCS}
  ${okteta_kastengui_view_SRCS}
  ${okteta_kastengui_io_SRCS}
  ${okteta_kastengui_system_SRCS}
)

set( okteta_kastengui_view_HDRS
  view/bytearrayviewfactory.h
  view/bytearrayview.h
  view/bytearrayviewprofile.h
)

set( okteta_kastengui_io_HDRS
  io/streamencoder/viewtext/bytearrayviewtextstreamencoder.h
  io/streamencoder/sourcecode/bytearraysourcecodestreamencoder.h
  io/streamencoder/chars/bytearraycharsstreamencoder.h
  io/streamencoder/values/bytearrayvaluesstreamencoder.h
  io/streamencoder/values/bytearrayvaluesstreamencoderconfigeditor.h
  io/streamencoder/sourcecode/bytearraysourcecodestreamencoderconfigeditor.h
  io/streamencoder/sourcecode/bytearraysourcecodestreamencoderconfigeditorfactory.h
  io/streamencoder/values/bytearrayvaluesstreamencoderconfigeditorfactory.h
  io/streamencoder/abstractbytearraystreamencoder.h
  io/streamencoder/bytearraytextstreamencoderpreview.h
  io/bytearrayviewprofilesynchronizer.h
)

set( okteta_kastengui_system_HDRS
  system/bytearrayviewprofilelock.h
  system/bytearrayviewprofilemanager.h
)

set( okteta_kastengui_LIB_HDRS
  oktetakastengui_export.h
  ${okteta_kastengui_view_HDRS}
  ${okteta_kastengui_io_HDRS}
  ${okteta_kastengui_system_HDRS}
)

kde4_add_library( ${oktetakastengui_LIB}  SHARED ${okteta_kastengui_LIB_SRCS} )

target_link_libraries( ${oktetakastengui_LIB}
  ${oktetakastencore_LIB}
  ${KASTENGUI_LIBS}
  ${KASTENCORE_LIBS}
  ${oktetagui_LIB}
  ${oktetacore_LIB}
  ${KDE4_KDEUI_LIBS}
  ${QT_QTSCRIPT_LIBRARY}
)
#TODO should probably first check if QtScript is available??
set_target_properties( ${oktetakastengui_LIB}  PROPERTIES
  OUTPUT_NAME ${oktetakastengui_LIB_NAME}
  VERSION     ${OKTETAKASTEN_LIB_VERSION}
  SOVERSION   ${OKTETAKASTEN_LIB_SOVERSION}
)

install( TARGETS ${oktetakastengui_LIB}  ${INSTALL_TARGETS_DEFAULT_ARGS} )

install( FILES ${okteta_kastengui_LIB_HDRS}
  DESTINATION ${OKTETAKASTEN_INCLUDE_INSTALL_DIR}
  COMPONENT Devel
)

=== libs/kasten/controllers/CMakeLists.txt ===
project( kastencontrollers )

add_definitions( -DKDE_DEFAULT_DEBUG_AREA=1805 )

include_directories(
  ../core
  ../core/entity
  ../core/document
  ../core/io
  ../core/io/filesystem
  ../core/system
  ../gui
  ../gui/view
  ../gui/io
  ../gui/system
  ../gui/shell
  ../gui/controller
)


set( SYNCHRONIZECONTROLLER_SRCS
  io/synchronize/synchronizecontroller.cpp
)
set( SETREMOTECONTROLLER_SRCS
  io/setremote/setremotecontroller.cpp
)
set( CREATORCONTROLLER_SRCS
  documentsystem/creator/creatorcontroller.cpp
)
set( LOADERCONTROLLER_SRCS
  documentsystem/loader/loadercontroller.cpp
)
set( CLOSECONTROLLER_SRCS
  documentsystem/close/closecontroller.cpp
)
set( FILESYSTEMBROWSERCONTROLLER_SRCS
  documentsystem/filesystembrowser/filesystembrowsertool.cpp
  documentsystem/filesystembrowser/filesystembrowserview.cpp
  documentsystem/filesystembrowser/filesystembrowsertoolview.cpp
)
set( DOCUMENTSBROWSERCONTROLLER_SRCS
  documentsystem/documentsbrowser/documentlistmodel.cpp
  documentsystem/documentsbrowser/documentstool.cpp
  documentsystem/documentsbrowser/documentsview.cpp
  documentsystem/documentsbrowser/documentstoolview.cpp
)
set( TERMINALCONTROLLER_SRCS
  document/terminal/terminaltool.cpp
  document/terminal/terminalview.cpp
  document/terminal/terminaltoolview.cpp
)
set( MODIFIEDBARCONTROLLER_SRCS
  document/modified/modifiedbarcontroller.cpp
)
set( READONLYCONTROLLER_SRCS
  document/readonly/readonlycontroller.cpp
)
set( READONLYBARCONTROLLER_SRCS
  document/readonly/readonlybarcontroller.cpp
)
if(CMAKE_BUILD_TYPE_TOLOWER MATCHES release)
set( VERSIONVIEWCONTROLLER_SRCS )
else(CMAKE_BUILD_TYPE_TOLOWER MATCHES release)
set( VERSIONVIEWCONTROLLER_SRCS
  document/versionview/versiontablemodel.cpp
  document/versionview/versionview.cpp
  document/versionview/versionviewtool.cpp
  document/versionview/versionviewtoolview.cpp
)
endif(CMAKE_BUILD_TYPE_TOLOWER MATCHES release)
set( VERSIONCONTROLLER_SRCS
  view/version/versioncontroller.cpp
)
set( ZOOMCONTROLLER_SRCS
  view/zoom/zoomcontroller.cpp
)
set( ZOOMBARCONTROLLER_SRCS
  view/zoom/zoomslider.cpp
  view/zoom/zoombarcontroller.cpp
)
set( SELECTCONTROLLER_SRCS
  view/select/selectcontroller.cpp
)
set( CLIPBOARDCONTROLLER_SRCS
  io/clipboard/clipboardcontroller.cpp
)
set( insertcontroller_SRCS
  io/insert/insertdialog.cpp
  io/insert/insertcontroller.cpp
)
set( COPYASCONTROLLER_SRCS
  io/copyas/copyasdialog.cpp
  io/copyas/copyascontroller.cpp
)
set( EXPORTCONTROLLER_SRCS
  io/export/exportdialog.cpp
  io/export/exportcontroller.cpp
)
# set( CLOSECONTROLLER_SRCS
#   viewsystem/close/closecontroller.cpp
# )
set( SWITCHVIEWCONTROLLER_SRCS
  shellwindow/switchview/switchviewcontroller.cpp
)
set( VIEWLISTMENUCONTROLLER_SRCS
  shellwindow/viewlistmenu/viewlistmenucontroller.cpp
)
set( VIEWAREASPLITCONTROLLER_SRCS
  shellwindow/viewareasplit/viewareasplitcontroller.cpp
)
set( TOOLLISTMENUCONTROLLER_SRCS
  shellwindow/toollistmenu/toollistmenucontroller.cpp
)
set( FULLSCREENCONTROLLER_SRCS
  shellwindow/fullscreen/fullscreencontroller.cpp
)
set( QUITCONTROLLER_SRCS
  program/quit/quitcontroller.cpp
)

set( kastencontroller_LIB_SRCS
  ${SETREMOTECONTROLLER_SRCS}
  ${CLOSECONTROLLER_SRCS}
  ${FILESYSTEMBROWSERCONTROLLER_SRCS}
  ${DOCUMENTSBROWSERCONTROLLER_SRCS}
  ${TERMINALCONTROLLER_SRCS}
  ${VERSIONCONTROLLER_SRCS}
  ${VERSIONVIEWCONTROLLER_SRCS}
  ${MODIFIEDBARCONTROLLER_SRCS}
  ${READONLYCONTROLLER_SRCS}
  ${READONLYBARCONTROLLER_SRCS}
  ${SWITCHVIEWCONTROLLER_SRCS}
  ${VIEWLISTMENUCONTROLLER_SRCS}
  ${VIEWAREASPLITCONTROLLER_SRCS}
  ${TOOLLISTMENUCONTROLLER_SRCS}
  ${FULLSCREENCONTROLLER_SRCS}
  ${ZOOMCONTROLLER_SRCS}
  ${ZOOMBARCONTROLLER_SRCS}
  ${CREATORCONTROLLER_SRCS}
  ${LOADERCONTROLLER_SRCS}
  ${SYNCHRONIZECONTROLLER_SRCS}
  ${SELECTCONTROLLER_SRCS}
  ${CLIPBOARDCONTROLLER_SRCS}
  ${insertcontroller_SRCS}
  ${COPYASCONTROLLER_SRCS}
  ${EXPORTCONTROLLER_SRCS}
  ${QUITCONTROLLER_SRCS}
)

set( kastencontrollers_LIB_HDRS
  kastencontrollers_export.h
  document/modified/modifiedbarcontroller.h
  document/readonly/readonlybarcontroller.h
  document/readonly/readonlycontroller.h
  document/versionview/versionviewtool.h
  document/versionview/versionviewtoolview.h
  documentsystem/close/closecontroller.h
  documentsystem/documentsbrowser/documentstoolview.h
  documentsystem/documentsbrowser/documentstool.h
  documentsystem/creator/creatorcontroller.h
  documentsystem/loader/loadercontroller.h
  documentsystem/filesystembrowser/filesystembrowsertoolview.h
  documentsystem/filesystembrowser/filesystembrowsertool.h
  io/export/exportcontroller.h
  io/insert/insertcontroller.h
  io/setremote/setremotecontroller.h
  io/copyas/copyascontroller.h
  io/clipboard/clipboardcontroller.h
  io/synchronize/synchronizecontroller.h
  view/select/selectcontroller.h
  view/zoom/zoomcontroller.h
  view/zoom/zoombarcontroller.h
  view/version/versioncontroller.h
  shellwindow/fullscreen/fullscreencontroller.h
  shellwindow/toollistmenu/toollistmenucontroller.h
  shellwindow/switchview/switchviewcontroller.h
  shellwindow/viewlistmenu/viewlistmenucontroller.h
  shellwindow/viewareasplit/viewareasplitcontroller.h
  program/quit/quitcontroller.h
)

kde4_add_library( ${kastencontrollers_LIB} SHARED ${kastencontroller_LIB_SRCS} )
target_link_libraries( ${kastencontrollers_LIB}
  ${kastengui_LIB}
  ${kastencore_LIB}
  ${KDE4_KPARTS_LIBS}
  ${KDE4_KFILE_LIBS}
)
set_target_properties( ${kastencontrollers_LIB}  PROPERTIES
  OUTPUT_NAME ${kastencontrollers_LIB_NAME}
  VERSION     ${KASTEN_LIB_VERSION}
  SOVERSION   ${KASTEN_LIB_SOVERSION}
)

install( TARGETS ${kastencontrollers_LIB}  ${INSTALL_TARGETS_DEFAULT_ARGS} )

install( FILES ${kastencontrollers_LIB_HDRS}
  DESTINATION ${KASTEN_INCLUDE_INSTALL_DIR}
  COMPONENT   Devel
)

=== mobile/kasten/controllers/CMakeLists.txt ===
project( mobilekastencontrollers )

add_definitions( -DKDE_DEFAULT_DEBUG_AREA=1805 )

set( KASTEN_REL_DIR ../../../libs/kasten )

include_directories(
  ${KASTEN_REL_DIR}/core
  ${KASTEN_REL_DIR}/core/document
  ${KASTEN_REL_DIR}/core/io
  ${KASTEN_REL_DIR}/core/system
  ${KASTEN_REL_DIR}/gui
  ${KASTEN_REL_DIR}/gui/controller
#   ../core
#   ../core/entity
#   ../core/document
#   ../core/io
#   ../core/io/filesystem
#   ../core/system
  ../gui
#   ../gui/view
#   ../gui/io
#   ../gui/system
  ../gui/shell
  ../gui/controller
)


set( synchronizecontroller_SRCS
#   io/synchronize/synchronizecontroller.cpp
)
set( setremotecontroller_SRCS
#   io/setremote/setremotecontroller.cpp
)
set( creatorcontroller_SRCS
#   documentsystem/creator/createdialog.cpp
#   documentsystem/creator/creatorcontroller.cpp
)
set( loadercontroller_SRCS
  documentsystem/loader/loaderactioncontroller.cpp
)
set( modifiedbarcontroller_SRCS
#   document/modified/modifiedbarcontroller.cpp
)
set( readonlycontroller_SRCS
#   document/readonly/readonlycontroller.cpp
)
set( versioncontroller_SRCS
#   view/version/versioncontroller.cpp
)
set( zoomcontroller_SRCS
#   view/zoom/zoomcontroller.cpp
)
set( selectcontroller_SRCS
#   view/select/selectcontroller.cpp
)
set( clipboardcontroller_SRCS
#   io/clipboard/clipboardcontroller.cpp
)
set( insertcontroller_SRCS
#   io/insert/insertdialog.cpp
#   io/insert/insertcontroller.cpp
)
set( copyascontroller_SRCS
#   io/copyas/copyasdialog.cpp
#   io/copyas/copyascontroller.cpp
)
set( exportcontroller_SRCS
#   io/export/exportdialog.cpp
#   io/export/exportcontroller.cpp
)
set( toollistmenucontroller_SRCS
  shellwindow/toollistmenu/toollistmenucontroller.cpp
)
set( fullscreencontroller_SRCS
#   shellwindow/fullscreen/fullscreencontroller.cpp
)

set( mobilekastencontroller_LIB_SRCS
  ${setremotecontroller_SRCS}
  ${versioncontroller_SRCS}
  ${modifiedbarcontroller_SRCS}
  ${readonlycontroller_SRCS}
  ${toollistmenucontroller_SRCS}
  ${fullscreencontroller_SRCS}
  ${zoomcontroller_SRCS}
  ${creatorcontroller_SRCS}
  ${loadercontroller_SRCS}
  ${synchronizecontroller_SRCS}
  ${selectcontroller_SRCS}
  ${clipboardcontroller_SRCS}
  ${insertcontroller_SRCS}
  ${copyascontroller_SRCS}
  ${exportcontroller_SRCS}
)

set( mobilekastencontrollers_LIB_HDRS
  mobilekastencontrollers_export.h
#   document/modified/modifiedbarcontroller.h
#   document/readonly/readonlycontroller.h
#   document/versionview/versionviewtool.h
#   documentsystem/close/closecontroller.h
#   documentsystem/creator/creatorcontroller.h
#   documentsystem/loader/loadercontroller.h
#   io/export/exportcontroller.h
#   io/insert/insertcontroller.h
#   io/setremote/setremotecontroller.h
#   io/copyas/copyascontroller.h
#   io/clipboard/clipboardcontroller.h
#   io/synchronize/synchronizecontroller.h
#   view/select/selectcontroller.h
#   view/zoom/zoomcontroller.h
#   view/zoom/zoombarcontroller.h
#   view/version/versioncontroller.h
)


kde4_add_library( kasten2mobilecontrollers SHARED ${mobilekastencontroller_LIB_SRCS} )
target_link_libraries( kasten2mobilecontrollers
  kasten2mobilegui
  kasten2controllers
  kasten2gui
  kasten2core
  ${KDE4_KIO_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${KDE4_KFILE_LIBS}
)
set_target_properties( kasten2mobilecontrollers  PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )

install( TARGETS kasten2mobilecontrollers  ${INSTALL_TARGETS_DEFAULT_ARGS} )

# install( FILES ${mobilekastencontrollers_LIB_HDRS}  DESTINATION  ${INCLUDE_INSTALL_DIR}/kasten  COMPONENT Devel )

=== mobile/kasten/gui/CMakeLists.txt ===
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=1804 )

set( KASTEN_REL_DIR ../../../libs/kasten )

include_directories(
  ${KASTEN_REL_DIR}/gui
  ${KASTEN_REL_DIR}/gui/controller
  ${KASTEN_REL_DIR}/gui/view
  ${KASTEN_REL_DIR}/core
  ${KASTEN_REL_DIR}/core/system
  ${KASTEN_REL_DIR}/core/io
  ${KASTEN_REL_DIR}/core/document
#   view
#   io
#   system
  shell
#   controller
)


set( mobilekastengui_shell_SRCS
  shell/mobileshellwindow.cpp
)
set( mobilekastengui_shell_HDRS
  shell/mobileshellwindow.h
)

set( mobilekastengui_controller_SRCS
  controller/abstractactioncontroller.cpp
)
set( mobilekastengui_controller_HDRS
  controller/abstractactioncontroller.h
)

set( mobilekastengui_LIB_SRCS
  ${mobilekastengui_shell_SRCS}
  ${mobilekastengui_controller_SRCS}
)

set( mobilekastengui_LIB_HDRS
  mobilekastengui_export.h
  ${mobilekastengui_shell_HDRS}
  ${mobilekastengui_controller_HDRS}
)


kde4_add_library( kasten2mobilegui SHARED ${mobilekastengui_LIB_SRCS} )
target_link_libraries( kasten2mobilegui
  kasten2gui
  kasten2core
  ${KDE4_KDEUI_LIBS}
)
set_target_properties( kasten2mobilegui  PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )

install( TARGETS kasten2mobilegui  ${INSTALL_TARGETS_DEFAULT_ARGS} )

# install( FILES ${mobilekastengui_LIB_HDRS}  DESTINATION  ${INCLUDE_INSTALL_DIR}/kasten  COMPONENT Devel )

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.5),
+ kdelibs5-dev (>= 4:4.13.0),
  libqca2-dev,
  shared-mime-info,
  pkg-config 
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okteta-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okteta-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okteta
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okteta
 
 Package: okteta
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_install:
	$(overridden_command)
ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
	dh_install --autodest -pokteta-dev usr/include/kasten2/okteta1/structtoolview.h
	dh_install --autodest -pokteta-dev usr/include/kasten2/okteta1/structurestoolfactory.h
	dh_install --autodest -pokteta-dev usr/include/kasten2/okteta1/structurestoolviewfactory.h
	dh_install --autodest -pokteta usr/share/kde4/config/okteta-structures.knsrc
endif

override_dh_strip:
	$(overridden_command) --dbg-package=okteta-dbg

## okteta 4.13.3

=== mobile/CMakeLists.txt ===
project( oktetamobile )

add_subdirectory( kasten )

add_subdirectory( program )

=== program/CMakeLists.txt ===
project( oktetaprogram )

set( OKTETAKASTEN_REL_DIR ../kasten )
set( KASTEN_REL_DIR ../libs/kasten )
set( OKTETA_REL_DIR .. )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}/${OKTETAKASTEN_REL_DIR}/controllers
  ${OKTETAKASTEN_REL_DIR}/controllers
  ${OKTETAKASTEN_REL_DIR}/controllers/document
  ${OKTETAKASTEN_REL_DIR}/controllers/view
  ${OKTETAKASTEN_REL_DIR}/controllers/view/libfinddialog
  ${OKTETAKASTEN_REL_DIR}/gui
  ${OKTETAKASTEN_REL_DIR}/gui/io
  ${OKTETAKASTEN_REL_DIR}/gui/view
  ${OKTETAKASTEN_REL_DIR}/gui/system
  ${OKTETAKASTEN_REL_DIR}/core
  ${OKTETAKASTEN_REL_DIR}/core/io
  ${OKTETAKASTEN_REL_DIR}/core/document
  ${KASTEN_REL_DIR}/controllers
  ${KASTEN_REL_DIR}/gui
  ${KASTEN_REL_DIR}/gui/view
  ${KASTEN_REL_DIR}/gui/io
  ${KASTEN_REL_DIR}/gui/system
  ${KASTEN_REL_DIR}/gui/shell
  ${KASTEN_REL_DIR}/gui/controller
  ${KASTEN_REL_DIR}/core
  ${KASTEN_REL_DIR}/core/document
  ${KASTEN_REL_DIR}/core/entity
  ${KASTEN_REL_DIR}/core/io
  ${KASTEN_REL_DIR}/core/system
#TODO: remove this
  ${OKTETA_REL_DIR}/gui
  ${OKTETA_REL_DIR}/core
)

set( okteta_SRCS
  main.cpp
  program.cpp
  about.cpp
  mainwindow.cpp
)

kde4_add_app_icon(okteta_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app-okteta.png")

kde4_add_executable( okteta  ${okteta_SRCS} )

target_link_libraries( okteta
  oktetakastencontrollers
  oktetakastengui
  oktetakastencore
  kastencontrollers
  kastengui
  kastencore
  ${KDE4_KDEUI_LIBS}
)

install( TARGETS okteta  ${INSTALL_TARGETS_DEFAULT_ARGS} )


install( PROGRAMS okteta.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES oktetaui.rc  DESTINATION ${DATA_INSTALL_DIR}/okteta )

kde4_install_icons( ${ICON_INSTALL_DIR} )

=== core/piecetable/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
set( SUTDIR ${CMAKE_CURRENT_SOURCE_DIR}/../.. )

# make sure to not use KDE_EXPORT or KDE_IMPORT because we link statically
# against a small part of the libs
add_definitions(-DOKTETACORE_EXPORT=)

include_directories(
  ${SUTDIR}
)

########### piecetest ###############

set( piecetest_SRCS
  piecetest.cpp
)

kde4_add_unit_test( piecetest  TESTNAME libpiecetable-piecetest  ${piecetest_SRCS} )
target_link_libraries( piecetest  ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} )


########### piecetabletest ###############

set( piecetabletest_SRCS
  piecetabletest.cpp
  ${SUTDIR}/piecetable/piecetable.cpp
)

kde4_add_unit_test( piecetabletest  TESTNAME libpiecetable-piecetabletest  ${piecetabletest_SRCS} )
target_link_libraries( piecetabletest  ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} )


########### testpiecetablechangetest ###############

set( testpiecetablechangetest_SRCS
  testpiecetablechangetest.cpp
  testpiecetablechange.cpp
  ${SUTDIR}/piecetable/piecetable.cpp
  ${SUTDIR}/piecetable/abstractpiecetablechange.cpp
)

kde4_add_unit_test( testpiecetablechangetest
  TESTNAME libpiecetable-testpiecetablechangetest
  ${testpiecetablechangetest_SRCS}
)
target_link_libraries( testpiecetablechangetest  oktetacoretestutil ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} )


########### abstractpiecetablechangeiftestsources ###############

set( abstractpiecetablechangeiftest_SRCS
  abstractpiecetablechangeiftest.cpp
  testpiecetablechange.cpp
  ${SUTDIR}/piecetable/piecetable.cpp
  ${SUTDIR}/piecetable/abstractpiecetablechange.cpp
)

########### testpiecetablechangeabstractpiecetablechangeiftest ###############

set( testpiecetablechangeabstractpiecetablechangeiftest_SRCS
  testpiecetablechangeabstractpiecetablechangeiftest.cpp
  ${abstractpiecetablechangeiftest_SRCS}
)

kde4_add_unit_test( testpiecetablechangeabstractpiecetablechangeiftest
  TESTNAME libpiecetable-testpiecetablechangeabstractpiecetablechangeiftest
  ${testpiecetablechangeabstractpiecetablechangeiftest_SRCS}
)
target_link_libraries( testpiecetablechangeabstractpiecetablechangeiftest
  oktetacoretestutil ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} )


########### insertpiecetablechangeabstractpiecetablechangeiftest ###############

set( insertpiecetablechangeabstractpiecetablechangeiftest_SRCS
  insertpiecetablechangeabstractpiecetablechangeiftest.cpp
  ${abstractpiecetablechangeiftest_SRCS}
  ${SUTDIR}/piecetable/insertpiecetablechange.cpp
)

kde4_add_unit_test( insertpiecetablechangeabstractpiecetablechangeiftest
  TESTNAME libpiecetable-insertpiecetablechangeabstractpiecetablechangeiftest
  ${insertpiecetablechangeabstractpiecetablechangeiftest_SRCS}
)
target_link_libraries( insertpiecetablechangeabstractpiecetablechangeiftest
  oktetacoretestutil ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} )


########### removepiecetablechangeabstractpiecetablechangeiftest ###############

set( removepiecetablechangeabstractpiecetablechangeiftest_SRCS
  removepiecetablechangeabstractpiecetablechangeiftest.cpp
  ${abstractpiecetablechangeiftest_SRCS}
  ${SUTDIR}/piecetable/removepiecetablechange.cpp
)

kde4_add_unit_test( removepiecetablechangeabstractpiecetablechangeiftest
  TESTNAME libpiecetable-removepiecetablechangeabstractpiecetablechangeiftest
  ${removepiecetablechangeabstractpiecetablechangeiftest_SRCS}
)
target_link_libraries( removepiecetablechangeabstractpiecetablechangeiftest
  oktetacoretestutil ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} )


########### replacepiecetablechangeabstractpiecetablechangeiftest ###############

set( replacepiecetablechangeabstractpiecetablechangeiftest_SRCS
  replacepiecetablechangeabstractpiecetablechangeiftest.cpp
  ${abstractpiecetablechangeiftest_SRCS}
  ${SUTDIR}/piecetable/replacepiecetablechange.cpp
)

kde4_add_unit_test( replacepiecetablechangeabstractpiecetablechangeiftest
  TESTNAME libpiecetable-replacepiecetablechangeabstractpiecetablechangeiftest
  ${replacepiecetablechangeabstractpiecetablechangeiftest_SRCS}
)
target_link_libraries( replacepiecetablechangeabstractpiecetablechangeiftest
  oktetacoretestutil ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} )


########### swaprangespiecetablechangeabstractpiecetablechangeiftest ###############

set( swaprangespiecetablechangeabstractpiecetablechangeiftest_SRCS
  swaprangespiecetablechangeabstractpiecetablechangeiftest.cpp
  ${abstractpiecetablechangeiftest_SRCS}
  ${SUTDIR}/piecetable/swaprangespiecetablechange.cpp
)

kde4_add_unit_test( swaprangespiecetablechangeabstractpiecetablechangeiftest
  TESTNAME libpiecetable-swaprangespiecetablechangeabstractpiecetablechangeiftest
  ${swaprangespiecetablechangeabstractpiecetablechangeiftest_SRCS}
)
target_link_libraries( swaprangespiecetablechangeabstractpiecetablechangeiftest
  oktetacoretestutil ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} )


########### grouppiecetablechangeabstractpiecetablechangeiftest ###############

# grouped changes break some assumptions and got workarounds, so disable for now
if(IWILLPICKUPWORKONOKTETACORE)
set( grouppiecetablechangeabstractpiecetablechangeiftest_SRCS
  grouppiecetablechangeabstractpiecetablechangeiftest.cpp
  ${abstractpiecetablechangeiftest_SRCS}
  ${SUTDIR}/addressrangelist.cpp
  ${SUTDIR}/piecetable/replacepiecetablechange.cpp
  ${SUTDIR}/piecetable/insertpiecetablechange.cpp
  ${SUTDIR}/piecetable/removepiecetablechange.cpp
  ${SUTDIR}/piecetable/grouppiecetablechange.cpp
)

kde4_add_unit_test( grouppiecetablechangeabstractpiecetablechangeiftest
  TESTNAME libpiecetable-grouppiecetablechangeabstractpiecetablechangeiftest
  ${grouppiecetablechangeabstractpiecetablechangeiftest_SRCS}
)
target_link_libraries( grouppiecetablechangeabstractpiecetablechangeiftest
  oktetacoretestutil ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} )
endif()

########### grouppiecetablechangetest ###############

set( grouppiecetablechangetest_SRCS
  grouppiecetablechangetest.cpp
  testpiecetablechange.cpp
  ${SUTDIR}/addressrangelist.cpp
  ${SUTDIR}/piecetable/piecetable.cpp
  ${SUTDIR}/piecetable/abstractpiecetablechange.cpp
  ${SUTDIR}/piecetable/insertpiecetablechange.cpp
  ${SUTDIR}/piecetable/removepiecetablechange.cpp
  ${SUTDIR}/piecetable/replacepiecetablechange.cpp
  ${SUTDIR}/piecetable/swaprangespiecetablechange.cpp
  ${SUTDIR}/piecetable/grouppiecetablechange.cpp
)

kde4_add_unit_test( grouppiecetablechangetest
  TESTNAME libpiecetable-grouppiecetablechangetest
  ${grouppiecetablechangetest_SRCS}
)
target_link_libraries( grouppiecetablechangetest  ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} )


########### piecetablechangehistorytest ###############

set( piecetablechangehistorytest_SRCS
  piecetablechangehistorytest.cpp
  testpiecetablechange.cpp
  ${SUTDIR}/addressrangelist.cpp
  ${SUTDIR}/piecetable/piecetable.cpp
  ${SUTDIR}/piecetable/abstractpiecetablechange.cpp
  ${SUTDIR}/piecetable/insertpiecetablechange.cpp
  ${SUTDIR}/piecetable/removepiecetablechange.cpp
  ${SUTDIR}/piecetable/replacepiecetablechange.cpp
  ${SUTDIR}/piecetable/swaprangespiecetablechange.cpp
  ${SUTDIR}/piecetable/piecetablechangehistory.cpp
  ${SUTDIR}/piecetable/grouppiecetablechange.cpp
)

kde4_add_unit_test( piecetablechangehistorytest
  TESTNAME libpiecetable-piecetablechangehistorytest
  ${piecetablechangehistorytest_SRCS}
)
target_link_libraries( piecetablechangehistorytest  ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} )


########### revertablepiecetabletest ###############

set( revertablepiecetabletest_SRCS
  revertablepiecetabletest.cpp
  ${SUTDIR}/addressrangelist.cpp
  ${SUTDIR}/piecetable/piecetable.cpp
  ${SUTDIR}/piecetable/abstractpiecetablechange.cpp
  ${SUTDIR}/piecetable/insertpiecetablechange.cpp
  ${SUTDIR}/piecetable/removepiecetablechange.cpp
  ${SUTDIR}/piecetable/replacepiecetablechange.cpp
  ${SUTDIR}/piecetable/swaprangespiecetablechange.cpp
  ${SUTDIR}/piecetable/piecetablechangehistory.cpp
  ${SUTDIR}/piecetable/revertablepiecetable.cpp
  ${SUTDIR}/piecetable/grouppiecetablechange.cpp
)

kde4_add_unit_test( revertablepiecetabletest
  TESTNAME libpiecetable-revertablepiecetabletest
  ${revertablepiecetabletest_SRCS}
)
target_link_libraries( revertablepiecetabletest  ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} )

=== debian/changelog ===
okteta (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:37:13 +0200

okteta (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:54:13 +0200

okteta (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:55:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
  libqca2-dev,
  shared-mime-info,
  pkg-config

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg(\.\d+)?$// \
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/okteta-([\d\.]*).tar.xz

## okteta 4.14.1

=== debian/control ===
Source: okteta
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               libqca2-dev (>= 2.0.0),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               shared-mime-info (>= 0.30)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okteta
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okteta
X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/okteta.git
X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/okteta.git

Package: okteta
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: hexadecimal editor for binary files
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 The data is displayed in the traditional view with two columns: one with the
 numeric values and one with the assigned characters. Editing can be done both
 in the value column and the character column. Besides the usual editing
 capabilities Okteta also brings a small set of tools, like a table listing
 decodings into common simple data types, a table listing all possible bytes
 with its character and value equivalents, a info view with a statistic and a
 filter tool. All modifications to the data loaded can be endlessly undone or
 redone.
 .
 This package is part of the KDE Software Development Kit module.

Package: okteta-dev
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${so:Depends}
Description: Development files for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package contains the development files for Okteta.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten2controllers2abi1
Architecture: any
X-Debian-ABI: 1
X-CMake-Target: kastencontrollers
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: okteta (<< 4:4.6)
Breaks: okteta (<< 4:4.6)
Description: controllers Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the controller part of Kasten.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten2core2
Architecture: any
X-CMake-Target: kastencore
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: okteta (<< 4:4.6)
Breaks: okteta (<< 4:4.6)
Description: core Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the core part of Kasten.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten2gui2
Architecture: any
X-CMake-Target: kastengui
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: okteta (<< 4:4.6)
Breaks: okteta (<< 4:4.6)
Description: gui Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the GUI part of Kasten.
 .
 This package is part of the KDE Software Development Kit module.

Package: libokteta1core1
Architecture: any
X-CMake-Target: oktetacore
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: okteta (<< 4:4.6)
Breaks: okteta (<< 4:4.6)
Description: core Okteta library
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the core part of the Okteta libraries.
 .
 This package is part of the KDE Software Development Kit module.

Package: libokteta1gui1
Architecture: any
X-CMake-Target: oktetagui
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: okteta (<< 4:4.6)
Breaks: okteta (<< 4:4.6)
Description: gui Okteta library
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the GUI part of the Okteta libraries.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten2okteta1controllers1abi1
Architecture: any
X-Debian-ABI: 1
X-CMake-Target: oktetakastencontrollers
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: okteta (<< 4:4.6)
Breaks: okteta (<< 4:4.6)
Description: kastencontrollers library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing with Kasten
 controllers.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten2okteta1core1
Architecture: any
X-CMake-Target: oktetakastencore
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: okteta (<< 4:4.6)
Breaks: okteta (<< 4:4.6)
Description: kastencore library for Okteta
 Okteta is a simple editor for the raw data of files. This type of
 program is also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing
 with Kasten core.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten2okteta1gui1
Architecture: any
X-CMake-Target: oktetakastengui
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: okteta (<< 4:4.6)
Breaks: okteta (<< 4:4.6)
Description: kastengui library for Okteta
 Okteta is a simple editor for the raw data of files. This type of
 program is also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing
 with Kasten GUI.
 .
 This package is part of the KDE Software Development Kit module.
